1. Registry
  2. Packages
  3. Oracle Cloud Infrastructure
  4. API Docs
  5. DataSafe
  6. getSubsettingPolicyHealthReports
Viewing docs for Oracle Cloud Infrastructure v5.3.0
published on Friday, Oct 9, 2026 by Pulumi
oci logo oci logo
Viewing docs for Oracle Cloud Infrastructure v5.3.0
published on Friday, Oct 9, 2026 by Pulumi

    This data source provides the list of Subsetting Policy Health Reports in Oracle Cloud Infrastructure Data Safe service.

    Gets a list of subsetting policy health reports based on the specified query parameters.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const testSubsettingPolicyHealthReports = oci.datasafe.getSubsettingPolicyHealthReports({
        compartmentId: compartmentId,
        accessLevel: subsettingPolicyHealthReportAccessLevel,
        compartmentIdInSubtree: subsettingPolicyHealthReportCompartmentIdInSubtree === "true",
        displayName: subsettingPolicyHealthReportDisplayName,
        state: subsettingPolicyHealthReportState,
        subsettingPolicyHealthReportId: testSubsettingPolicyHealthReport.id,
        subsettingPolicyId: testSubsettingPolicy.id,
        targetId: testTarget.id,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    test_subsetting_policy_health_reports = oci.datasafe.get_subsetting_policy_health_reports(compartment_id=compartment_id,
        access_level=subsetting_policy_health_report_access_level,
        compartment_id_in_subtree=subsetting_policy_health_report_compartment_id_in_subtree == "true",
        display_name=subsetting_policy_health_report_display_name,
        state=subsetting_policy_health_report_state,
        subsetting_policy_health_report_id=test_subsetting_policy_health_report["id"],
        subsetting_policy_id=test_subsetting_policy["id"],
        target_id=test_target["id"])
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/datasafe"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := datasafe.GetSubsettingPolicyHealthReports(ctx, &datasafe.GetSubsettingPolicyHealthReportsArgs{
    			CompartmentId:                  compartmentId,
    			AccessLevel:                    pulumi.StringRef(subsettingPolicyHealthReportAccessLevel),
    			CompartmentIdInSubtree:         pulumi.BoolRef(subsettingPolicyHealthReportCompartmentIdInSubtree),
    			DisplayName:                    pulumi.StringRef(subsettingPolicyHealthReportDisplayName),
    			State:                          pulumi.StringRef(subsettingPolicyHealthReportState),
    			SubsettingPolicyHealthReportId: pulumi.StringRef(testSubsettingPolicyHealthReport.Id),
    			SubsettingPolicyId:             pulumi.StringRef(testSubsettingPolicy.Id),
    			TargetId:                       pulumi.StringRef(testTarget.Id),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var testSubsettingPolicyHealthReports = Oci.DataSafe.GetSubsettingPolicyHealthReports.Invoke(new()
        {
            CompartmentId = compartmentId,
            AccessLevel = subsettingPolicyHealthReportAccessLevel,
            CompartmentIdInSubtree = subsettingPolicyHealthReportCompartmentIdInSubtree,
            DisplayName = subsettingPolicyHealthReportDisplayName,
            State = subsettingPolicyHealthReportState,
            SubsettingPolicyHealthReportId = testSubsettingPolicyHealthReport.Id,
            SubsettingPolicyId = testSubsettingPolicy.Id,
            TargetId = testTarget.Id,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.DataSafe.DataSafeFunctions;
    import com.pulumi.oci.DataSafe.inputs.GetSubsettingPolicyHealthReportsArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var testSubsettingPolicyHealthReports = DataSafeFunctions.getSubsettingPolicyHealthReports(GetSubsettingPolicyHealthReportsArgs.builder()
                .compartmentId(compartmentId)
                .accessLevel(subsettingPolicyHealthReportAccessLevel)
                .compartmentIdInSubtree(subsettingPolicyHealthReportCompartmentIdInSubtree)
                .displayName(subsettingPolicyHealthReportDisplayName)
                .state(subsettingPolicyHealthReportState)
                .subsettingPolicyHealthReportId(testSubsettingPolicyHealthReport.id())
                .subsettingPolicyId(testSubsettingPolicy.id())
                .targetId(testTarget.id())
                .build());
    
        }
    }
    
    variables:
      testSubsettingPolicyHealthReports:
        fn::invoke:
          function: oci:DataSafe:getSubsettingPolicyHealthReports
          arguments:
            compartmentId: ${compartmentId}
            accessLevel: ${subsettingPolicyHealthReportAccessLevel}
            compartmentIdInSubtree: ${subsettingPolicyHealthReportCompartmentIdInSubtree}
            displayName: ${subsettingPolicyHealthReportDisplayName}
            state: ${subsettingPolicyHealthReportState}
            subsettingPolicyHealthReportId: ${testSubsettingPolicyHealthReport.id}
            subsettingPolicyId: ${testSubsettingPolicy.id}
            targetId: ${testTarget.id}
    
    pulumi {
      required_providers {
        oci = {
          source = "pulumi/oci"
        }
      }
    }
    
    data "oci_datasafe_getsubsettingpolicyhealthreports" "testSubsettingPolicyHealthReports" {
      compartment_id                     = compartmentId
      access_level                       = subsettingPolicyHealthReportAccessLevel
      compartment_id_in_subtree          = subsettingPolicyHealthReportCompartmentIdInSubtree
      display_name                       = subsettingPolicyHealthReportDisplayName
      state                              = subsettingPolicyHealthReportState
      subsetting_policy_health_report_id = testSubsettingPolicyHealthReport.id
      subsetting_policy_id               = testSubsettingPolicy.id
      target_id                          = testTarget.id
    }
    

    Using getSubsettingPolicyHealthReports

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getSubsettingPolicyHealthReports(args: GetSubsettingPolicyHealthReportsArgs, opts?: InvokeOptions): Promise<GetSubsettingPolicyHealthReportsResult>
    function getSubsettingPolicyHealthReportsOutput(args: GetSubsettingPolicyHealthReportsOutputArgs, opts?: InvokeOutputOptions): Output<GetSubsettingPolicyHealthReportsResult>
    def get_subsetting_policy_health_reports(access_level: Optional[str] = None,
                                             compartment_id: Optional[str] = None,
                                             compartment_id_in_subtree: Optional[bool] = None,
                                             display_name: Optional[str] = None,
                                             filters: Optional[Sequence[GetSubsettingPolicyHealthReportsFilter]] = None,
                                             state: Optional[str] = None,
                                             subsetting_policy_health_report_id: Optional[str] = None,
                                             subsetting_policy_id: Optional[str] = None,
                                             target_id: Optional[str] = None,
                                             opts: Optional[InvokeOptions] = None) -> GetSubsettingPolicyHealthReportsResult
    def get_subsetting_policy_health_reports_output(access_level: pulumi.Input[Optional[str]] = None,
                                             compartment_id: pulumi.Input[Optional[str]] = None,
                                             compartment_id_in_subtree: pulumi.Input[Optional[bool]] = None,
                                             display_name: pulumi.Input[Optional[str]] = None,
                                             filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetSubsettingPolicyHealthReportsFilterArgs]]]] = None,
                                             state: pulumi.Input[Optional[str]] = None,
                                             subsetting_policy_health_report_id: pulumi.Input[Optional[str]] = None,
                                             subsetting_policy_id: pulumi.Input[Optional[str]] = None,
                                             target_id: pulumi.Input[Optional[str]] = None,
                                             opts: Optional[InvokeOutputOptions] = None) -> Output[GetSubsettingPolicyHealthReportsResult]
    func GetSubsettingPolicyHealthReports(ctx *Context, args *GetSubsettingPolicyHealthReportsArgs, opts ...InvokeOption) (*GetSubsettingPolicyHealthReportsResult, error)
    func GetSubsettingPolicyHealthReportsOutput(ctx *Context, args *GetSubsettingPolicyHealthReportsOutputArgs, opts ...InvokeOption) GetSubsettingPolicyHealthReportsResultOutput

    > Note: This function is named GetSubsettingPolicyHealthReports in the Go SDK.

    public static class GetSubsettingPolicyHealthReports 
    {
        public static Task<GetSubsettingPolicyHealthReportsResult> InvokeAsync(GetSubsettingPolicyHealthReportsArgs args, InvokeOptions? opts = null)
        public static Output<GetSubsettingPolicyHealthReportsResult> Invoke(GetSubsettingPolicyHealthReportsInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetSubsettingPolicyHealthReportsResult> Invoke(GetSubsettingPolicyHealthReportsInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetSubsettingPolicyHealthReportsResult> getSubsettingPolicyHealthReports(GetSubsettingPolicyHealthReportsArgs args, InvokeOptions options)
    public static Output<GetSubsettingPolicyHealthReportsResult> getSubsettingPolicyHealthReports(GetSubsettingPolicyHealthReportsArgs args, InvokeOptions options)
    public static Output<GetSubsettingPolicyHealthReportsResult> getSubsettingPolicyHealthReports(GetSubsettingPolicyHealthReportsArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: oci:DataSafe/getSubsettingPolicyHealthReports:getSubsettingPolicyHealthReports
      arguments:
        # arguments dictionary
    data "oci_data_safe_get_subsetting_policy_health_reports" "name" {
        # arguments
    }

    The following arguments are supported:

    CompartmentId string
    A filter to return only resources that match the specified compartment OCID.
    AccessLevel string
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    CompartmentIdInSubtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    DisplayName string
    A filter to return only resources that match the specified display name.
    Filters List<GetSubsettingPolicyHealthReportsFilter>
    State string
    A filter to return only the resources that match the specified lifecycle states.
    SubsettingPolicyHealthReportId string
    A filter to return only the resources that match the specified subsetting policy health report OCID.
    SubsettingPolicyId string
    A filter to return only the resources that match the specified subsetting policy OCID.
    TargetId string
    A filter to return only items related to a specific target OCID.
    CompartmentId string
    A filter to return only resources that match the specified compartment OCID.
    AccessLevel string
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    CompartmentIdInSubtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    DisplayName string
    A filter to return only resources that match the specified display name.
    Filters []GetSubsettingPolicyHealthReportsFilter
    State string
    A filter to return only the resources that match the specified lifecycle states.
    SubsettingPolicyHealthReportId string
    A filter to return only the resources that match the specified subsetting policy health report OCID.
    SubsettingPolicyId string
    A filter to return only the resources that match the specified subsetting policy OCID.
    TargetId string
    A filter to return only items related to a specific target OCID.
    compartment_id string
    A filter to return only resources that match the specified compartment OCID.
    access_level string
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartment_id_in_subtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    display_name string
    A filter to return only resources that match the specified display name.
    filters list(object)
    state string
    A filter to return only the resources that match the specified lifecycle states.
    subsetting_policy_health_report_id string
    A filter to return only the resources that match the specified subsetting policy health report OCID.
    subsetting_policy_id string
    A filter to return only the resources that match the specified subsetting policy OCID.
    target_id string
    A filter to return only items related to a specific target OCID.
    compartmentId String
    A filter to return only resources that match the specified compartment OCID.
    accessLevel String
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartmentIdInSubtree Boolean
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    displayName String
    A filter to return only resources that match the specified display name.
    filters List<GetSubsettingPolicyHealthReportsFilter>
    state String
    A filter to return only the resources that match the specified lifecycle states.
    subsettingPolicyHealthReportId String
    A filter to return only the resources that match the specified subsetting policy health report OCID.
    subsettingPolicyId String
    A filter to return only the resources that match the specified subsetting policy OCID.
    targetId String
    A filter to return only items related to a specific target OCID.
    compartmentId string
    A filter to return only resources that match the specified compartment OCID.
    accessLevel string
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartmentIdInSubtree boolean
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    displayName string
    A filter to return only resources that match the specified display name.
    filters GetSubsettingPolicyHealthReportsFilter[]
    state string
    A filter to return only the resources that match the specified lifecycle states.
    subsettingPolicyHealthReportId string
    A filter to return only the resources that match the specified subsetting policy health report OCID.
    subsettingPolicyId string
    A filter to return only the resources that match the specified subsetting policy OCID.
    targetId string
    A filter to return only items related to a specific target OCID.
    compartment_id str
    A filter to return only resources that match the specified compartment OCID.
    access_level str
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartment_id_in_subtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    display_name str
    A filter to return only resources that match the specified display name.
    filters Sequence[GetSubsettingPolicyHealthReportsFilter]
    state str
    A filter to return only the resources that match the specified lifecycle states.
    subsetting_policy_health_report_id str
    A filter to return only the resources that match the specified subsetting policy health report OCID.
    subsetting_policy_id str
    A filter to return only the resources that match the specified subsetting policy OCID.
    target_id str
    A filter to return only items related to a specific target OCID.
    compartmentId String
    A filter to return only resources that match the specified compartment OCID.
    accessLevel String
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartmentIdInSubtree Boolean
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    displayName String
    A filter to return only resources that match the specified display name.
    filters List<Property Map>
    state String
    A filter to return only the resources that match the specified lifecycle states.
    subsettingPolicyHealthReportId String
    A filter to return only the resources that match the specified subsetting policy health report OCID.
    subsettingPolicyId String
    A filter to return only the resources that match the specified subsetting policy OCID.
    targetId String
    A filter to return only items related to a specific target OCID.

    getSubsettingPolicyHealthReports Result

    The following output properties are available:

    CompartmentId string
    The OCID of the compartment that contains the health report.
    Id string
    The provider-assigned unique ID for this managed resource.
    SubsettingPolicyHealthReportCollections List<GetSubsettingPolicyHealthReportsSubsettingPolicyHealthReportCollection>
    The list of subsetting_policy_health_report_collection.
    AccessLevel string
    CompartmentIdInSubtree bool
    DisplayName string
    The display name of the health report.
    Filters List<GetSubsettingPolicyHealthReportsFilter>
    State string
    The current state of the health report.
    SubsettingPolicyHealthReportId string
    SubsettingPolicyId string
    The OCID of the subsetting policy.
    TargetId string
    The OCID of the target database for which this report was created.
    CompartmentId string
    The OCID of the compartment that contains the health report.
    Id string
    The provider-assigned unique ID for this managed resource.
    SubsettingPolicyHealthReportCollections []GetSubsettingPolicyHealthReportsSubsettingPolicyHealthReportCollection
    The list of subsetting_policy_health_report_collection.
    AccessLevel string
    CompartmentIdInSubtree bool
    DisplayName string
    The display name of the health report.
    Filters []GetSubsettingPolicyHealthReportsFilter
    State string
    The current state of the health report.
    SubsettingPolicyHealthReportId string
    SubsettingPolicyId string
    The OCID of the subsetting policy.
    TargetId string
    The OCID of the target database for which this report was created.
    compartment_id string
    The OCID of the compartment that contains the health report.
    id string
    The provider-assigned unique ID for this managed resource.
    subsetting_policy_health_report_collections list(object)
    The list of subsetting_policy_health_report_collection.
    access_level string
    compartment_id_in_subtree bool
    display_name string
    The display name of the health report.
    filters list(object)
    state string
    The current state of the health report.
    subsetting_policy_health_report_id string
    subsetting_policy_id string
    The OCID of the subsetting policy.
    target_id string
    The OCID of the target database for which this report was created.
    compartmentId String
    The OCID of the compartment that contains the health report.
    id String
    The provider-assigned unique ID for this managed resource.
    subsettingPolicyHealthReportCollections List<GetSubsettingPolicyHealthReportsSubsettingPolicyHealthReportCollection>
    The list of subsetting_policy_health_report_collection.
    accessLevel String
    compartmentIdInSubtree Boolean
    displayName String
    The display name of the health report.
    filters List<GetSubsettingPolicyHealthReportsFilter>
    state String
    The current state of the health report.
    subsettingPolicyHealthReportId String
    subsettingPolicyId String
    The OCID of the subsetting policy.
    targetId String
    The OCID of the target database for which this report was created.
    compartmentId string
    The OCID of the compartment that contains the health report.
    id string
    The provider-assigned unique ID for this managed resource.
    subsettingPolicyHealthReportCollections GetSubsettingPolicyHealthReportsSubsettingPolicyHealthReportCollection[]
    The list of subsetting_policy_health_report_collection.
    accessLevel string
    compartmentIdInSubtree boolean
    displayName string
    The display name of the health report.
    filters GetSubsettingPolicyHealthReportsFilter[]
    state string
    The current state of the health report.
    subsettingPolicyHealthReportId string
    subsettingPolicyId string
    The OCID of the subsetting policy.
    targetId string
    The OCID of the target database for which this report was created.
    compartment_id str
    The OCID of the compartment that contains the health report.
    id str
    The provider-assigned unique ID for this managed resource.
    subsetting_policy_health_report_collections Sequence[GetSubsettingPolicyHealthReportsSubsettingPolicyHealthReportCollection]
    The list of subsetting_policy_health_report_collection.
    access_level str
    compartment_id_in_subtree bool
    display_name str
    The display name of the health report.
    filters Sequence[GetSubsettingPolicyHealthReportsFilter]
    state str
    The current state of the health report.
    subsetting_policy_health_report_id str
    subsetting_policy_id str
    The OCID of the subsetting policy.
    target_id str
    The OCID of the target database for which this report was created.
    compartmentId String
    The OCID of the compartment that contains the health report.
    id String
    The provider-assigned unique ID for this managed resource.
    subsettingPolicyHealthReportCollections List<Property Map>
    The list of subsetting_policy_health_report_collection.
    accessLevel String
    compartmentIdInSubtree Boolean
    displayName String
    The display name of the health report.
    filters List<Property Map>
    state String
    The current state of the health report.
    subsettingPolicyHealthReportId String
    subsettingPolicyId String
    The OCID of the subsetting policy.
    targetId String
    The OCID of the target database for which this report was created.

    Supporting Types

    GetSubsettingPolicyHealthReportsFilter

    Name string
    Values List<string>
    Regex bool
    Name string
    Values []string
    Regex bool
    name string
    values list(string)
    regex bool
    name String
    values List<String>
    regex Boolean
    name string
    values string[]
    regex boolean
    name str
    values Sequence[str]
    regex bool
    name String
    values List<String>
    regex Boolean

    GetSubsettingPolicyHealthReportsSubsettingPolicyHealthReportCollection

    GetSubsettingPolicyHealthReportsSubsettingPolicyHealthReportCollectionItem

    CompartmentId string
    A filter to return only resources that match the specified compartment OCID.
    DefinedTags Dictionary<string, string>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    DisplayName string
    A filter to return only resources that match the specified display name.
    ErrorCount string
    The count of errors in the subsetting health report.
    FreeformTags Dictionary<string, string>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    Id string
    The OCID of the health report.
    State string
    A filter to return only the resources that match the specified lifecycle states.
    SubsettingPolicyId string
    A filter to return only the resources that match the specified subsetting policy OCID.
    TargetId string
    A filter to return only items related to a specific target OCID.
    TimeCreated string
    The date and time the report was created, in the format defined by RFC3339.
    TimeUpdated string
    The date and time the report was last updated, in the format defined by RFC3339
    WarningCount string
    The count of warnings in the subsetting health report.
    CompartmentId string
    A filter to return only resources that match the specified compartment OCID.
    DefinedTags map[string]string
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    DisplayName string
    A filter to return only resources that match the specified display name.
    ErrorCount string
    The count of errors in the subsetting health report.
    FreeformTags map[string]string
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    Id string
    The OCID of the health report.
    State string
    A filter to return only the resources that match the specified lifecycle states.
    SubsettingPolicyId string
    A filter to return only the resources that match the specified subsetting policy OCID.
    TargetId string
    A filter to return only items related to a specific target OCID.
    TimeCreated string
    The date and time the report was created, in the format defined by RFC3339.
    TimeUpdated string
    The date and time the report was last updated, in the format defined by RFC3339
    WarningCount string
    The count of warnings in the subsetting health report.
    compartment_id string
    A filter to return only resources that match the specified compartment OCID.
    defined_tags map(string)
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    display_name string
    A filter to return only resources that match the specified display name.
    error_count string
    The count of errors in the subsetting health report.
    freeform_tags map(string)
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    id string
    The OCID of the health report.
    state string
    A filter to return only the resources that match the specified lifecycle states.
    subsetting_policy_id string
    A filter to return only the resources that match the specified subsetting policy OCID.
    target_id string
    A filter to return only items related to a specific target OCID.
    time_created string
    The date and time the report was created, in the format defined by RFC3339.
    time_updated string
    The date and time the report was last updated, in the format defined by RFC3339
    warning_count string
    The count of warnings in the subsetting health report.
    compartmentId String
    A filter to return only resources that match the specified compartment OCID.
    definedTags Map<String,String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    displayName String
    A filter to return only resources that match the specified display name.
    errorCount String
    The count of errors in the subsetting health report.
    freeformTags Map<String,String>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    id String
    The OCID of the health report.
    state String
    A filter to return only the resources that match the specified lifecycle states.
    subsettingPolicyId String
    A filter to return only the resources that match the specified subsetting policy OCID.
    targetId String
    A filter to return only items related to a specific target OCID.
    timeCreated String
    The date and time the report was created, in the format defined by RFC3339.
    timeUpdated String
    The date and time the report was last updated, in the format defined by RFC3339
    warningCount String
    The count of warnings in the subsetting health report.
    compartmentId string
    A filter to return only resources that match the specified compartment OCID.
    definedTags {[key: string]: string}
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    displayName string
    A filter to return only resources that match the specified display name.
    errorCount string
    The count of errors in the subsetting health report.
    freeformTags {[key: string]: string}
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    id string
    The OCID of the health report.
    state string
    A filter to return only the resources that match the specified lifecycle states.
    subsettingPolicyId string
    A filter to return only the resources that match the specified subsetting policy OCID.
    targetId string
    A filter to return only items related to a specific target OCID.
    timeCreated string
    The date and time the report was created, in the format defined by RFC3339.
    timeUpdated string
    The date and time the report was last updated, in the format defined by RFC3339
    warningCount string
    The count of warnings in the subsetting health report.
    compartment_id str
    A filter to return only resources that match the specified compartment OCID.
    defined_tags Mapping[str, str]
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    display_name str
    A filter to return only resources that match the specified display name.
    error_count str
    The count of errors in the subsetting health report.
    freeform_tags Mapping[str, str]
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    id str
    The OCID of the health report.
    state str
    A filter to return only the resources that match the specified lifecycle states.
    subsetting_policy_id str
    A filter to return only the resources that match the specified subsetting policy OCID.
    target_id str
    A filter to return only items related to a specific target OCID.
    time_created str
    The date and time the report was created, in the format defined by RFC3339.
    time_updated str
    The date and time the report was last updated, in the format defined by RFC3339
    warning_count str
    The count of warnings in the subsetting health report.
    compartmentId String
    A filter to return only resources that match the specified compartment OCID.
    definedTags Map<String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    displayName String
    A filter to return only resources that match the specified display name.
    errorCount String
    The count of errors in the subsetting health report.
    freeformTags Map<String>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    id String
    The OCID of the health report.
    state String
    A filter to return only the resources that match the specified lifecycle states.
    subsettingPolicyId String
    A filter to return only the resources that match the specified subsetting policy OCID.
    targetId String
    A filter to return only items related to a specific target OCID.
    timeCreated String
    The date and time the report was created, in the format defined by RFC3339.
    timeUpdated String
    The date and time the report was last updated, in the format defined by RFC3339
    warningCount String
    The count of warnings in the subsetting health report.

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo oci logo
    Viewing docs for Oracle Cloud Infrastructure v5.3.0
    published on Friday, Oct 9, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial